# v3 Changelog

## 3.0.41 (2026-01-15)

* Support custom SIP Register `expires`

## 3.0.40 (2026-01-13)

* Fix issues for dynamic `WSS URI` of different nation

## 3.0.39 (2026-01-12)

* Fix issues for new nation `la` and `ht`

## 3.0.38 (2026-01-08)

* Support speech to text & status employee tranfer & sync status state

## 3.0.37 (2025-12-18)

* apply dynamic config `ice_transport_policy` from API
* Handle call with prority same network config

## 3.0.37 (2025-10-30)

* Support load UI script from external sources

## 3.0.35 (2025-10-21)

* Support `Guest` mode, able to use SDK with any SIP account
* Fix some UX/UI and alert issues

## 3.0.34 (2025-10-17)

* Update some UI components to match OMIWeb and clean up the codebase.
* Apply flow priority for switchboard connections based on network provider.
* Apply new audio constraints for improved call quality.

## 3.0.33 (2025-08-15)

* Update call reject cause message for checking trial package

## 3.0.32 (2025-07-21)

* Hotfix issue with option `callTabs`, causing loss of call note data

## 3.0.31 (2025-07-09)

* Hotfix issue with option `callTabs`, causing loss of call note data

## 3.0.30 (2025-07-09)

* Update CSS to prevent issues with some plugins have default:

  ```css
  * {
      margin: 0;
      padding: 0;
  }
  ```
* Show alert for invalid or inactive SIP user when auth failed
* Support new init option: `validateCallOut`, check the permission to make a call is allowed or not

## 3.0.29 (2025-07-08)

* Fix Call UI:
  * when have very long last call note
  * not hide CTA buttons on minimize mode

## 3.0.28 (2025-06-28)

* Fixed missing `uuid` in call data when triggering the `ringing` event
* Fixed the `set_sip_number` event not being triggered when the call had been rejected
* Supported more display cases for `ctaButtons` configs

## 3.0.27 (2025-06-10)

* Apply statusCode `486: Busy Here` when manually reject call
* Add new call method `decline()`: inbound call will stop immidiately, without ringing to other extensions
* Update call reject message same as other platforms
* Hotfix `phone undefined` when searching remote contact
* Hotfix CSS issues with `tailwindcss@4.x` for some UI
* Limit timeout for option `searchRemoteContact` in `5 seconds`
* Update dependency to `FloatingUI@1.7.1`

## 3.0.26 (2025-06-09)

* Apply permission to see phone number in call history

## 3.0.25 (2025-05-30)

* Support new init option: `minimizeNewCall: true`, to display new call as minimized mode
* Public function `minimize` to `callData` instance, allow to control minimize call dialog manually

## 3.0.24 (2025-05-19)

* Support new init options `rootBody` and `searchRemoteContact`

## 3.0.23 (2025-05-15)

* Add params `callData` for custom `callTabs[$].render(callData, tabNode, tabItem)`
* Reset switchboard online state when change sip user

## 3.0.22 (2025-05-14)

* Support custom UI for call session dialog:
  * Show CTA buttons under remote contact: Preview
  * Show call info as tabs: Preview

## 3.0.21 (2025-04-16)

* Support new init options `phoneMasked`, allow to control phone number masking

## 3.0.20 (2025-04-10)

* Remove unsupported codec `red` and rule filter codec

## 3.0.19 (2025-04-02)

* Remove action reject invitation when already in call

## 3.0.18 (2025-03-21)

* Add init options `allowMultiTab`: skip checking inbound call between browser tabs

## 3.0.17 (2025-03-07)

* Add `utm_source` params for all api request

## 3.0.16 (2025-02-18)

* Support passing options `userData` when manual make call
* Support custom `wssUri` and `iceServers` when register
* Disable `iceRestart` option on hold inbound call

## 3.0.15 (2024-12-04)

* Move Dial HTML to outside of `document.body`
* Update-2-date some dependencies

## 3.0.14 (2024-11-27)

* Move some base CSS/Fonts/Vars to always init
* Update some Enums in `OMICallSDK` and initialization to support integration

## 3.0.13 (2024-11-08)

* Update rule detect ZCC sip number
* Support to show Zalo user info for ZCC
* Apply end call foward config

## 3.0.12 (2024-10-15)

* Fix CSS for `nhanh.vn`
* Fix loading of calling sip number

## 3.0.11 (2024-10-02)

* Support show calling sip number custom name at any case

## 3.0.10 (2024-10-02)

* Show warning and prevent call if already having a call in other tab of browser

## 3.0.9 (2024-08-23)

* Move `dialPosition: 'hidden'` config to new config, allow to hide toggle dial button, but still able to show dial dialog by global method:

  ```
  ui: {
      toggleDial: 'show' | 'hide'
  }
  ```
* Default ignore browser event `beforeunload` when loaded SDK inside iframe
* Add new call reject message for event `DESTINATION_ADS_CALL_OUT_OF_TIME_RANGE`, `SERVICE_PACKAGE_NOT_ALLOW`
* Add browser UserAgent in call event data: `call.ua`
* Add devices status in call event data: `call.devices = { audio: true, video: false }`

## 3.0.8 (2024-07-29)

**Update:**

* Support not showing dial dialog toggle button
* Show call out SIP number when use Click-2-Call

**Fix:**

* Fix CSS issues for ZOHO

## 3.0.7 (2024-07-25)

* Add video call status text for internal call

## 3.0.6 (2024-07-22)

**Update:**

* Support Zalo Cloud Connect (ZCC) call feature
* Add validate call settings with features of package

**Fix:**

* Fix some issues of auto close and save call
* Fix not prevent to open dial dialog when setting offline

## 3.0.5 (2024-07-19)

* Reconnect/ Dispose switchboard when internal connection changed

## 3.0.4 (2024-07-19)

**Update:**

* Support show Outer Group
* Move code init sound and notification permission to after register success
* Apply config ringtone and alert sound
* Apply config auto open call form when call accepted or declined
* Apply config auto close call dialog

**Fix:**

* Still validate SIP number when make internal call
* Duplicate call event ended when call had been reject

## 3.0.3 (2024-07-18)

**Update:**

* Support video call feature
* Add property disablePictureInPicture to call player

**Fix:**

* Set call stream to call player multi time

## 3.0.2 (2024-07-18)

**Update:**

* Minimize call dialog feature
* Apply utils for all set style code
* Update call dialog draggable anchor to full of container
* Update more anchor to re-index focused call dialog
* Improve dom.util `ref` argument

**Fix:**

* Issues not remove parent of call plugin element

## 3.0.1 (2024-07-17)

* Support for Firefox browser

## 3.0.0 (2024-07-16)

* First CallSDK version, with brand new SIP Core and UX/UI


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.omicall.com/sdk/web-sdk/v3-changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
